The Roles API is for administering Role records in Skills Base which includes adding, retrieving, updating and deleting records.
Endpoint
/1.0/roles
Objects used by this API
|
Name |
Data type |
Read only |
Description |
|
id |
Yes |
The unique identifier for the record, used to reference the record in other API interactions. |
|
|
name |
No |
Role name |
|
|
custom_field_{n} |
No |
Custom Field with id {n}. Where {n} corresponds to the permanent internal id allocated to the custom field (retrievable via the Skills Base UI). |
Methods
GET /roles
Returns all Roles in the instance.
GET /roles/:id
Returns a Role matching the given id
POST /roles/search
Searches Role records. See Search APIs for a description of search functionality.
The available search parameters are:
|
Name |
Arrays |
Wildcards |
|
id |
Yes |
No |
|
name |
No |
Yes |
POST /roles
Creates a new Role record.
The following parameters can be POSTed
|
Name |
Required |
|
name |
Yes |
|
custom_field_{n} |
No |
PUT /roles/:id
Updates an existing Role record.
The following fields can be updated:
|
Name |
|
name |
|
custom_field_{n} |
DELETE /roles/:id
Deletes a Role